JTS Topology Suite version 1.13

## com.vividsolutions.jts.index.intervalrtree
Class IntervalRTreeNode

    java.lang.Object
      com.vividsolutions.jts.index.intervalrtree.IntervalRTreeNode

Direct Known Subclasses:
  IntervalRTreeBranchNode, IntervalRTreeLeafNode

    public abstract class IntervalRTreeNode

extends java.lang.Object

Nested Class Summary
`static class` `IntervalRTreeNode.NodeComparator`

Field Summary
`protected double` `max`
`protected double` `min`

Constructor Summary
`IntervalRTreeNode()`

Method Summary
`double` `getMax()`
`double` `getMin()`
`protected boolean` `intersects(double queryMin, double queryMax)`
`abstract void` `query(double queryMin, double queryMax, ItemVisitor visitor)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### min

    protected double min

### max

    protected double max

Constructor Detail

### IntervalRTreeNode

    public IntervalRTreeNode()

Method Detail

### getMin

    public double getMin()

### getMax

    public double getMax()

### query

    public abstract void query(double queryMin,
                               double queryMax,
                               ItemVisitor visitor)

### intersects

    protected boolean intersects(double queryMin,
                                 double queryMax)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

JTS Topology Suite version 1.13